summaryrefslogtreecommitdiffstats
path: root/debian/tests/upstream-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--debian/tests/upstream-tests.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/tests/upstream-tests.sh b/debian/tests/upstream-tests.sh
new file mode 100644
index 0000000..eea68eb
--- /dev/null
+++ b/debian/tests/upstream-tests.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+set -u
+
+export LC_ALL=C.UTF-8
+
+cp -av etc "$AUTOPKGTEST_TMP"
+cp -av t "$AUTOPKGTEST_TMP"
+
+cd "$AUTOPKGTEST_TMP"
+sed -i s@./testssl.sh@/usr/bin/testssl@g t/*.t
+
+# Only run tests 00-05 as others require network access.
+prove -v t/0[0-5]*